apeman-react-draggable
==========

<!---
This file is generated by ape-tmpl. Do not update manually.
--->

<!-- Badge Start -->
<a name="badges"></a>

[![Build Status][bd_travis_shield_url]][bd_travis_url]
[![Code Climate][bd_codeclimate_shield_url]][bd_codeclimate_url]
[![Code Coverage][bd_codeclimate_coverage_shield_url]][bd_codeclimate_url]
[![npm Version][bd_npm_shield_url]][bd_npm_url]
[![JS Standard][bd_standard_shield_url]][bd_standard_url]

[bd_repo_url]: https://github.com/apeman-react-labo/apeman-react-draggable
[bd_travis_url]: http://travis-ci.org/apeman-react-labo/apeman-react-draggable
[bd_travis_shield_url]: http://img.shields.io/travis/apeman-react-labo/apeman-react-draggable.svg?style=flat
[bd_travis_com_url]: http://travis-ci.com/apeman-react-labo/apeman-react-draggable
[bd_travis_com_shield_url]: https://api.travis-ci.com/apeman-react-labo/apeman-react-draggable.svg?token=
[bd_license_url]: https://github.com/apeman-react-labo/apeman-react-draggable/blob/master/LICENSE
[bd_codeclimate_url]: http://codeclimate.com/github/apeman-react-labo/apeman-react-draggable
[bd_codeclimate_shield_url]: http://img.shields.io/codeclimate/github/apeman-react-labo/apeman-react-draggable.svg?style=flat
[bd_codeclimate_coverage_shield_url]: http://img.shields.io/codeclimate/coverage/github/apeman-react-labo/apeman-react-draggable.svg?style=flat
[bd_gemnasium_url]: https://gemnasium.com/apeman-react-labo/apeman-react-draggable
[bd_gemnasium_shield_url]: https://gemnasium.com/apeman-react-labo/apeman-react-draggable.svg
[bd_npm_url]: http://www.npmjs.org/package/apeman-react-draggable
[bd_npm_shield_url]: http://img.shields.io/npm/v/apeman-react-draggable.svg?style=flat
[bd_standard_url]: http://standardjs.com/
[bd_standard_shield_url]: https://img.shields.io/badge/code%20style-standard-brightgreen.svg

<!-- Badge End -->


<!-- Description Start -->
<a name="description"></a>

apeman react package for draggable component.

<!-- Description End -->


<!-- Overview Start -->
<a name="overview"></a>



<!-- Overview End -->


<!-- Sections Start -->
<a name="sections"></a>

<!-- Section from "doc/guides/01.Installation.md.hbs" Start -->

<a name="section-doc-guides-01-installation-md"></a>
Installation
-----

```bash
$ npm install apeman-react-draggable --save
```


<!-- Section from "doc/guides/01.Installation.md.hbs" End -->

<!-- Section from "doc/guides/02.Demo.md.hbs" Start -->

<a name="section-doc-guides-02-demo-md"></a>
Demo
-----

[Live demo][demo_url] is hosted on GitHub Pages.

[demo_url]: http://apeman-react-labo.github.io/apeman-react-draggable/demo/demo.html

<!-- Section from "doc/guides/02.Demo.md.hbs" End -->

<!-- Section from "doc/guides/03.Usage.md.hbs" Start -->

<a name="section-doc-guides-03-usage-md"></a>
Usage
---------

```jsx
'use strict'

import React from 'react'
import {ApDraggable, ApDraggableStyle} from 'apeman-react-draggable'

const ExampleComponent = React.createClass({
  render () {
    return (
      <div>
        <ApDraggableStyle/>
        <ApDraggable onStart={ () => {

                } }
                     onMove={ () => {

                 } }
                     onEnd={ () => {

                 } }
                     direction="ALL">
          <div>Drag me!</div>
        </ApDraggable>
      </div>
    )
  }
})

```



<!-- Section from "doc/guides/03.Usage.md.hbs" End -->

<!-- Section from "doc/guides/04.Components.md.hbs" Start -->

<a name="section-doc-guides-04-components-md"></a>
Components
-----


### ApDraggableStyle

**Props**

| Name | Type | Default | Description |
| ---- | ---- | ------- | ----------- |
| type | string | &#x27;text/css&#x27; | |  |
| style | object | {} | |  |

### ApDraggable

**Props**

| Name | Type | Default | Description |
| ---- | ---- | ------- | ----------- |
| onStart | func |  | | Handler for drag start |
| onMove | func |  | | Handler for drag move |
| onStop | func |  | | Handler for drag stop |
| shouldMove | func | function() {
  return true
} | |  |
| direction | enum | &#x27;ALL&#x27; | | Move direction |
| x | number |  | |  |
| minX | number | Number.MIN_SAFE_INTEGER || (-9007199254740991) | |  |
| maxX | number | Number.MAX_SAFE_INTEGER || (9007199254740991) | |  |
| y | number |  | |  |
| minY | number | Number.MIN_SAFE_INTEGER || (-9007199254740991) | |  |
| maxY | number | Number.MAX_SAFE_INTEGER || (9007199254740991) | |  |



<!-- Section from "doc/guides/04.Components.md.hbs" End -->

<!-- Section from "doc/guides/04.Props.md.hbs" Start -->

<a name="section-doc-guides-04-props-md"></a>
Props
-----

| Name | Type | Default | Description |
| ---- | ---- | ------- | ----------- |
| onStart | function | | Callback when drag started. |
| onMove | function | | Callback when drag moved. |
| onStop | function | | Callback when drag stopped. |
| shouldMove | function | | Called when drag moved. Returns false to cancel moving.  |
| direction | string | | Move direction. |
| x | number | | X position. |
| minX | number | MIN_SAFE_INTEGER | Min x position. |
| maxX | number | MAX_SAFE_INTEGER | Max x position. |
| y | number | | Y potion. |
| minY | number | MIN_SAFE_INTEGER | Min y position. |
| maxY | number | MAX_SAFE_INTEGER | Max y position. |


### Directions



<!-- Section from "doc/guides/04.Props.md.hbs" End -->


<!-- Sections Start -->


<!-- LICENSE Start -->
<a name="license"></a>

License
-------
This software is released under the [MIT License](https://github.com/apeman-react-labo/apeman-react-draggable/blob/master/LICENSE).

<!-- LICENSE End -->


<!-- Links Start -->
<a name="links"></a>

Links
------

+ [apeman](https://github.com/apeman-labo/apeman)
+ [apeman-react-labo](https://github.com/apeman-react-labo)
+ [React](https://facebook.github.io/react/)

<!-- Links End -->
