/**
 * Style for ApDraggable.
 * @augments ApStyle
 * @class ApDraggableStyle
 */

'use strict'

import React, {PropTypes as types} from 'react'
import {ApStyle} from 'apeman-react-style'

const DEFAULT_TRANSITION_DURATION = 80

/** @lends ApDraggableStyle */
const ApDraggableStyle = React.createClass({
  propTypes: {
    type: types.string,
    style: types.object
  },
  getDefaultProps () {
    return {
      type: 'text/css',
      style: {}
    }
  },
  render () {
    const s = this
    let { props } = s

    let data = {
      '.ap-draggable': {
        cursor: '-webkit-grab',
        transition: `transform ${DEFAULT_TRANSITION_DURATION}ms`
      },
      '.ap-draggable:active': {
        cursor: '-webkit-grabbing'
      },
      '.ap-draggable.ap-draggable-dragging': {
        boxShadow: '1px 1px 2px rgba(0,0,0,0.25)'
      }
    }
    let smallMediaData = {}
    let mediumMediaData = {}
    let largeMediaData = {}

    return (
      <ApStyle data={ Object.assign(data, props.style) }
        smallMediaData={ smallMediaData }
        mediumMediaData={ mediumMediaData }
        largeMediaData={ largeMediaData }
      >{ props.children }</ApStyle>
    )
  }
})

export default ApDraggableStyle
